@import '../../../old-styles/index.scss';

/**
 * Different states
 */
%expanded-state {
  &.expanded {
    .header {
      .card-header {
        border-bottom: 1px solid #c9cacb;
      }
    }
  }
}

/**
 * Collapsible items view component
 */
.collapsible-items-view-component {
  @extend %expanded-state;
  border: 1px solid #c9cacb;
  border-radius: 4px;
  overflow: hidden;

  .header {
    .card-header {
      background: #ffffff;
      padding: 18px 16px;
      border: none;

      .first-row {
        .first-column {
          .icon {
            margin-right: 10px;

            &:before {
              color: #00171f;
            }
          }

          .heading {
            font-size: 1rem;
            font-weight: 700;
            margin-bottom: 0;
            color: #00171f;
          }
        }

        .second-column {
          ::ng-deep .button-component {
            .text {
              color: #263940;
            }
          }

          .ng-fa-icon {
            font-size: 12px;
            margin-left: 10px;
          }
        }
      }
    }
  }

  .body {
    .items {
      .item {
        display: flex;
        justify-content: space-between;
        padding: 10px 14px;
        background: #ffffff;

        &:hover {
          background: #b2e0f34d;
          color: #59686d;
          font-weight: 700;
        }

        &:nth-child(n):not(:last-child) {
          border-bottom: 1px solid #f1f2f2;
        }

        .remove {
          cursor: pointer;

          .icon {
            font-size: 12px;
          }
        }
      }
    }
  }
}
